## ratmenu 1.6

=== Makefile ===
# Makefile for ratmenu
#
# Jonathan Walther
# djw@reactor-core.org

PROG   = ratmenu

PREFIX=/usr/local
MANDIR=$(PREFIX)/man

OPTIMIZE ?= -Os
DEBUG    ?= 
WARN     ?= -Wall -ansi -pedantic

CC     = gcc
LIBS   = -L/usr/X11R6/lib -lX11
CFLAGS = $(OPTIMIZE) $(WARN) $(DEBUG)

$(PROG): $(PROG).c
	$(CC) $(CFLAGS) $< $(LIBS) -o $@

clean:
	debian/rules clean
	rm -f $(PROG)

test: $(PROG)
	./$(PROG) -align right foo "echo foo" bar "echo bar" menuitemsuberalle "./$(PROG) x x y y z z" exit "echo exit"

dist: clean
	P=$$(basename $$PWD); cd ..; tar czf $$P.tar.gz $$P

doc:
	groff -Tascii -man ratmenu.1|less

install: $(PROG)
	install -D -p -m 755 -s $(PROG) $(PREFIX)/bin/$(PROG)
	install -D -p -m 755 $(PROG).1 $(MANDIR)/man1/$(PROG).1

=== debian/changelog ===
ratmenu (1.6) unstable; urgency=low

  * Changed default resource to "ratmenu" from "9menu"

 -- Jonathan Walther <krooger@debian.org>  Thu, 11 Oct 2001 12:15:45 -0700

ratmenu (1.5) unstable; urgency=low

  * Changed syntax so menu items can include the ':' character
  * Updated the manpage to document the available keystrokes

 -- Jonathan Walther <krooger@debian.org>  Wed, 10 Oct 2001 13:00:17 -0700

ratmenu (1.4) unstable; urgency=low

  * Added support for more navigation keystrokes
  * Fixed the manpage
  * Added back in the -bg, -fg, -font options
  * Made navigation style and menu alignment configurable

 -- Jonathan Walther <krooger@debian.org>  Sun, 23 Sep 2001 16:15:42 -0700

ratmenu (1.2-1) unstable; urgency=low

  * Took out all mouse handling and replaced it with keyboard commands
  * Removed iconification code
  * Removed various options that aren't needed in ratpoison
  * Updated the manpage

 -- Jonathan Walther <krooger@debian.org>  Sun, 16 Sep 2001 10:10:20 -0700

9menu (1.5-2) unstable; urgency=low

  * Fixed Build-Depends line (added debhelper)
  * Changed maintainer email address.

 -- Stephen Frost <sfrost@debian.org>  Wed,  4 Jul 2001 11:39:45 -0400

9menu (1.5-1) unstable; urgency=medium

  * New upstream version
  * Added md5sums correctly

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 22:44:38 -0500

9menu (1.4-10.2) unstable; urgency=low

  * New Maintainer
  * Fixed gcc warnings.

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 20:58:13 -0500

9menu (1.4-10.1) unstable; urgency=medium

  * Non-maintainer upload 
  * debian/postinst, debian/postrm: added missing "#!/bin/sh -e" line 
    (closes: bug #77413).

 -- An Thi-Nguyen Le <anle@debian.org>  Mon, 27 Nov 2000 18:46:45 -0600

9menu (1.4-10) unstable; urgency=low

  * /usr/doc -> /usr/share/doc
  * Changed CFLAGS and INSTALL_PROGRAM in debian/rules according to
    the new policy.
  * Added build dependencies.
  * Standards-Version: 3.2.1

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 11 Nov 2000 22:37:30 +0100

9menu (1.4-9) unstable; urgency=low

  * Orphaned the package.

 -- Joel Klecker <espy@debian.org>  Wed,  2 Jun 1999 00:42:15 -0700

9menu (1.4-8) unstable; urgency=low

  * New maintainer.

 -- Joel Klecker <jk@espy.org>  Wed,  17 Dec 1997 09:59:05 -0800

9menu (1.4-7) unstable; urgency=low

  * Compile against libc6

 -- Karl Sackett <krs@debian.org>  Mon,  3 Nov 1997 15:30:53 -0500

9menu (1.4-6) unstable; urgency=low

  * Changed maintainer's address.

 -- Karl Sackett <krs@debian.org>  Thu, 31 Oct 1996 09:34:48 -0600

9menu (1.4-5) unstable; urgency=low

  * Converted to new package standards.

 -- Karl Sackett <krs@caos.aamu.edu>  Thu, 3 Oct 1996 10:28:01 -0500

1.4-4
	* support files now architecture-independent
1.4-3
	* Added Debian support files.
	* Corrected prefix, exec_prefix in debian.rules.
	* Moved man page from 9menu.1x to 9menu.1

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ratmenu
Section: x11
Priority: optional
Maintainer: Jonathan Walther <krooger@debian.org>
Build-Depends: xlibs-dev, debhelper (>>3.0.0)
Standards-Version: 3.2.1

Package: ratmenu
Architecture: any
Depends: ${shlibs:Depends}
Description: Creates X menus from the shell.
 This is ratmenu, a simple program that allows you to create X menus from
 the shell.  It is a simplified version of 9menu, with the crucial difference
 that where 9menu only responds to the mouse, and ignores the keyboard,
 ratmenu has all mouse sensitivity taken out, and only responds to the
 keyboard.  It is meant to be used with the ratpoison window manager.  Although
 it should work with other window managers, YMMV.

=== debian/rules ===
#! /usr/bin/make -f
#

CC = gcc
CFLAGS = -O2 -Wall

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

LDFLAGS =

SHELL = /bin/sh
srcdir = .

INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

INSTALL_DATA = $(INSTALL) -m 644 -o root -g root
INSTALL_DIR = $(INSTALL) -d -m 755 -o root -g root
INSTALL_SCRIPT = $(INSTALL) -m 755 -o root -g root

config:
	$(checkdir)
	touch stamp-config

build:
	$(checkdir)
	test -f stamp-config || make -f debian/rules config
	make CC="$(CC)" CFLAGS="$(CFLAGS)"
	touch stamp-build

clean:
	$(checkdir)
	test -f stamp-config || make -f debian/rules config
	-rm -f ratmenu *.o
	-rm -f stamp-config stamp-build
	-rm -rf debian/tmp* debian/files debian/substvars

binary-indep: checkroot
	$(checkdir)

binary-arch: checkroot
	dh_md5sums
	$(checkdir)
	test -f stamp-build || make -f debian/rules build
#
#
# debian/tmp
	$(INSTALL_DIR) debian/tmp
	$(INSTALL_DIR) debian/tmp/DEBIAN
	$(INSTALL_SCRIPT) debian/postinst debian/tmp/DEBIAN
	$(INSTALL_SCRIPT) debian/prerm debian/tmp/DEBIAN
# binaries
	$(INSTALL_DIR) debian/tmp/usr/X11R6/bin
	$(INSTALL_PROGRAM) ratmenu debian/tmp/usr/X11R6/bin
# man pages
	$(INSTALL_DIR) debian/tmp/usr/X11R6/man/man1
	$(INSTALL_DATA)	ratmenu.1 debian/tmp/usr/X11R6/man/man1
	-gzip -9fr debian/tmp/usr/X11R6/man
# documentation
	$(INSTALL_DIR) debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) debian/changelog \
	  debian/tmp/usr/share/doc/ratmenu/changelog.Debian
	gzip -9 debian/tmp/usr/share/doc/ratmenu/changelog.Debian
#
	$(INSTALL_DATA) README.9menu debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) LICENSE debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) ChangeLog debian/tmp/usr/share/doc/ratmenu
#
# build the package
	dpkg-shlibdeps ratmenu
	dpkg-gencontrol  -isp -pratmenu -Pdebian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f ratmenu.c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: config build clean binary binary-arch binary-indep

## ratmenu 2.2-1

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 PREFIX=/usr/local
 MANDIR=$(PREFIX)/man
 
-OPTIMIZE ?= -Os
+OPTIMIZE ?= -O2
 DEBUG    ?= 
 WARN     ?= -Wall -ansi -pedantic
 
@@ -25,6 +25,8 @@
 
 test: $(PROG)
 	./$(PROG) -align right foo "echo foo" bar "echo bar" menuitemsuberalle "./$(PROG) x x y y z z" exit "echo exit"
+	./$(PROG) foofoofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo "echo foo" bar "echo bar"
+	./$(PROG) f ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff fa aa aa aa aa aa
 
 dist: clean
 	P=$$(basename $$PWD); cd ..; tar czf $$P.tar.gz $$P

=== debian/changelog ===
ratmenu (2.2-1) unstable; urgency=low

  * Fixed pathname of debian menu in README (Closes: #198711)

 -- Jonathan Walther <krooger@debian.org>  Wed, 25 Jun 2003 19:25:05 -0700

ratmenu (2.2) unstable; urgency=low

  * Fixed quoting bug in menu-method (Closes: #187997)
  * Prettified look of menus produced by menu-method

 -- Jonathan Walther <krooger@debian.org>  Thu, 19 Jun 2003 01:56:58 -0700

ratmenu (2.1-1) unstable; urgency=low

  * Bumped the version number in ratmenu.c to be accurate

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jun 2003 23:55:09 -0700

ratmenu (2.1) unstable; urgency=low

  * Added menu-method to support Debian menus (Closes: #187997)

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jun 2003 22:06:32 -0700

ratmenu (2.0) unstable; urgency=low

  * Added -persist option
  * Now suggest xbindkeys instead of keylaunch

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jun 2003 16:55:17 -0700

ratmenu (1.9.2) unstable; urgency=low

  * Updated to be Debian Policy version 3.5.6.1 compliant
  * Removed the unneeded postinst and prerm files
  * Modernized and simplified the rules file
  * Fixed URL in copyright file pointing to source code for this program

 -- Jonathan Walther <krooger@debian.org>  Sat,  8 Jun 2002 12:00:17 -0700

ratmenu (1.9.1) unstable; urgency=low

  * Updated the man page to be even clearer
  * Fixed quoting of the ' character in the manpage

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 14:16:39 -0700

ratmenu (1.9) unstable; urgency=low

  * Updated the man page to cover the new -back option

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 13:46:35 -0700

ratmenu (1.8) unstable; urgency=low

  * Added -back feature, to create hierarchies of menus
  * Minor fixes to spelling and documentation

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 11:26:52 -0700

ratmenu (1.7) unstable; urgency=low

  * Fixed bug that caused screen to blank if window was too large
  * Now Suggests the ratpoison window manager

 -- Jonathan Walther <krooger@debian.org>  Sat, 15 Dec 2001 12:53:24 -0700

=== debian/control ===
Source: ratmenu
Section: x11
Priority: optional
Maintainer: Jonathan Walther <krooger@debian.org>
Build-Depends: xlibs-dev, debhelper
Standards-Version: 3.5.6.1

Package: ratmenu
Suggests: ratpoison, xbindkeys
Architecture: any
Depends: ${shlibs:Depends}
Description: Creates X menus from the shell.
 This is ratmenu, a simple program that allows you to create X menus from
 the shell.
 .
 It was forked from 9menu version 1.5, to provide specific support
 for the ratpoison window manager.  Where 9menu only responds to the mouse, and
 ignores the keyboard, ratmenu has all mouse sensitivity taken out, and only
 responds to the keyboard.  Since then it has evolved nifty features and
 behaviors of it's own.
 .
 Although designed for ratpoison, it will work with any ICCCM compliant
 window manager.

=== debian/rules ===
#! /usr/bin/make -f
#

CC = gcc
CFLAGS = -O2 -Wall

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

LDFLAGS =

SHELL = /bin/sh
srcdir = .

INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

INSTALL_DATA =   $(INSTALL)    -m 644 -o root -g root
INSTALL_DIR =    $(INSTALL) -d -m 755 -o root -g root
INSTALL_SCRIPT = $(INSTALL)    -m 755 -o root -g root

DOCDIR = debian/tmp/usr/share/doc/ratmenu

build:
	dh_testdir
	make CC="$(CC)" CFLAGS="$(CFLAGS)"

clean:
	dh_testdir
	-rm -f ratmenu *.o
	-rm -f stamp-config stamp-build
	-rm -rf debian/tmp* debian/files debian/substvars

binary-indep:
	true

DH_VERBOSE=1

binary-arch:
	dh_testdir
	dh_testroot
	make -f debian/rules build
	dh_installdeb
	dh_install
	dh_installdocs
	dh_installmanpages
	dh_installmenu
	$(INSTALL_DATA) debian/changelog $(DOCDIR)/changelog.Debian
	dh_compress
	dh_strip
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

#binary-arch:
#	dh_md5sums
#	dh_testdir
#	dh_testroot
#	debian/rules build
#
#
# debian/tmp
#	$(INSTALL_DIR) debian/tmp
#	$(INSTALL_DIR) debian/tmp/DEBIAN
# binaries
#	$(INSTALL_DIR) debian/tmp/usr/bin
#	$(INSTALL_PROGRAM) ratmenu debian/tmp/usr/bin
# man pages
#	$(INSTALL_DIR) debian/tmp/usr/share/man/man1
#	$(INSTALL_DATA)	ratmenu.1 debian/tmp/usr/share/man/man1
#	-gzip -9fr debian/tmp/usr/share/man
# documentation
#	$(INSTALL_DIR) debian/tmp/usr/share/doc/ratmenu
#	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/ratmenu
#	$(INSTALL_DATA) debian/changelog \
#	  debian/tmp/usr/share/doc/ratmenu/changelog.Debian
#	gzip -9 debian/tmp/usr/share/doc/ratmenu/changelog.Debian
#
#	$(INSTALL_DATA) README.9menu debian/tmp/usr/share/doc/ratmenu
#	$(INSTALL_DATA) LICENSE debian/tmp/usr/share/doc/ratmenu
#	$(INSTALL_DATA) ChangeLog debian/tmp/usr/share/doc/ratmenu
#	dh_fixperms
#	dh_installmenu
#
# build the package
#	dpkg-shlibdeps ratmenu
#	dpkg-gencontrol  -isp -pratmenu -Pdebian/tmp
#	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: config build clean binary binary-arch binary-indep

## ratmenu 2.3.5

=== debian/changelog ===
ratmenu (2.3.5) unstable; urgency=low

  * Fixed insufficiently initialized variable.

 -- Jonathan Walther <krooger@debian.org>  Wed, 30 Mar 2005 23:54:52 -0700

ratmenu (2.3.4) unstable; urgency=low

  * Fixed uninitialized variable for "dreary" drawing method.

 -- Jonathan Walther <krooger@debian.org>  Wed, 30 Mar 2005 23:42:52 -0700

ratmenu (2.3.3) unstable; urgency=low

  * Added "Suggests" for menu, as per menu documentation.

 -- Jonathan Walther <krooger@debian.org>  Mon, 21 Feb 2005 12:47:52 -0700

ratmenu (2.3.2) unstable; urgency=low

  * Cleaned up spawn() function.
  * Fixed debian/copyright (accurate download instructions)

 -- Jonathan Walther <krooger@debian.org>  Sun, 13 Feb 2005 10:45:52 -0700

ratmenu (2.3.1) unstable; urgency=low

  * Thank you for the patch, Marga.  Incorporated most it. Closes: #293268
  * The dash version thing was fixed in the previous release.
  * Description synopsis fixed.
  * Extra LICENSE file fixed.
  * ChangeLog compression and naming fixed.
  * Removed bogus debian/*.debhelper files.
  * Build-Depend on debhelper > 4, but see no need for compatibility mode.

 -- Jonathan Walther <krooger@debian.org>  Wed,  2 Feb 2005 13:52:05 -0700

ratmenu (2.3) unstable; urgency=low

  * Allow customization via Xresource handling.  Closes: #231827
  * Allow user to specify first selected menu item.
  * Better handling of case where menu items don't all fit on screen.
  * Optimized drawing of dreary menu.
  * Thank you Zrajm C Akfohg <zrajm@klingonska.org> for producing ratmen 2.2.2

 -- Jonathan Walther <krooger@debian.org>  Tue,  1 Feb 2005 09:47:12 -0700

ratmenu (2.2-2) unstable; urgency=low

  * Fixed prerun and postrun syntax in menu method. Thank you Bill.
    Closes: #277299
  * menu method now marked as conffile. Thank you Bill.  Closes: #277182
  * Spell-corrected it's to its in control file.  Thank you Kevin and Florian.
    Closes: #268541, #277267
  * Can't duplicate your error Jorgen.  Reconfirm?  Closes: #231826
  * Bumped Standards-Version in control file up to 3.6.1.1

 -- Jonathan Walther <krooger@debian.org>  Sun, 30 Jan 2005 21:48:43 -0700

=== debian/control ===
Source: ratmenu
Section: x11
Priority: optional
Maintainer: Jonathan Walther <krooger@debian.org>
Build-Depends: xlibs-dev, debhelper (>= 4.0.0)
Standards-Version: 3.6.1.1

Package: ratmenu
Suggests: ratpoison, xbindkeys, menu
Architecture: any
Depends: ${shlibs:Depends}
Description: Creates X menus from the shell
 This is ratmenu, a simple program that allows you to create X menus from the
 shell.  Although designed for ratpoison, it will work with any ICCCM compliant
 window manager.
 .
 It was forked from 9menu version 1.5, to provide specific support
 for the ratpoison window manager.  Where 9menu only responds to the mouse, and
 ignores the keyboard, ratmenu has all mouse sensitivity taken out, and only
 responds to the keyboard.  Since then it has evolved nifty features and
 behaviors of its own.  The source code was also cleaned up and old cruft
 weeded out.

=== debian/rules ===
#! /usr/bin/make -f
#

CC = gcc
CFLAGS = -O2 -Wall

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

LDFLAGS =

SHELL = /bin/sh
srcdir = .

build:
	dh_testdir
	make CC="$(CC)" CFLAGS="$(CFLAGS)"

clean:
	dh_testdir
	-rm -f ratmenu *.o
	-rm -f stamp-config stamp-build
	-rm -rf debian/tmp* debian/files debian/substvars

binary-indep:
	true

DH_VERBOSE=1

binary-arch:
	dh_testdir
	dh_testroot
	make -f debian/rules build
	dh_installdocs
	dh_installman
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_install
	dh_installdeb
	dh_compress
	dh_strip
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: config build clean binary binary-arch binary-indep

## ratmenu 2.3.6

=== debian/changelog ===
ratmenu (2.3.6) unstable; urgency=low

  * xlibs-dev depend no longer valid.  See the following message.
    http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html
    Closes: #347107

 -- Jonathan Walther <krooger@debian.org>  Sun,  8 Jan 2006 18:20:52 -0700

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Jonathan Walther <krooger@debian.org>
-Build-Depends: xlibs-dev, debhelper (>= 4.0.0)
-Standards-Version: 3.6.1.1
+Build-Depends: libx11-dev, debhelper (>= 5.0.12)
+Standards-Version: 3.6.2.2
 
 Package: ratmenu
 Suggests: ratpoison, xbindkeys, menu

## ratmenu 2.3.11

=== debian/changelog ===
ratmenu (2.3.11) unstable; urgency=low

  * Bill Allombert suggested some quoting fixes.  (Closes: #358040)

 -- Jonathan Walther <krooger@debian.org>  Mon, 20 Mar 2006 15:48:52 -0700

ratmenu (2.3.10) unstable; urgency=low

  * system-wide menu has changed.  Thank you Bill Allombert for the fixes.
    (Closes: #358036)

 -- Jonathan Walther <krooger@debian.org>  Mon, 20 Mar 2006 15:05:52 -0700

ratmenu (2.3.9) unstable; urgency=low

  * Added Suggests: for xclip, a very cool program

 -- Jonathan Walther <krooger@debian.org>  Sun, 12 Mar 2006 18:10:52 -0700

ratmenu (2.3.8) unstable; urgency=low

  * Lintian fix: manpage hyphenation
  * Lintian fix: duplicate conffile problem was due to rules file
  * Lintian fix: /usr/sbin to /usr/bin for install-menu location

 -- Jonathan Walther <krooger@debian.org>  Fri, 10 Mar 2006 17:12:52 -0700

ratmenu (2.3.7) unstable; urgency=low

  * Lintian fix: duplicate conffile

 -- Jonathan Walther <krooger@debian.org>  Sun,  5 Mar 2006 02:22:52 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: x11
 Priority: optional
 Maintainer: Jonathan Walther <krooger@debian.org>
-Build-Depends: libx11-dev, debhelper (>= 5.0.12)
+Build-Depends: libx11-dev, debhelper (>= 5)
 Standards-Version: 3.6.2.2
 
 Package: ratmenu
-Suggests: ratpoison, xbindkeys, menu
+Suggests: ratpoison, xbindkeys, menu, xclip
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Creates X menus from the shell

## ratmenu 2.3.14

=== Makefile ===
# Makefile for ratmenu
#
# Jonathan Walther
# djw@reactor-core.org

PROG   = ratmenu

PREFIX=/usr/local
MANDIR=$(PREFIX)/man

OPTIMIZE ?= -O2
DEBUG    ?= 
WARN     ?= -Wall -pedantic

CC     = gcc
LIBS   = -L/usr/X11R6/lib -lX11
CFLAGS = $(OPTIMIZE) $(WARN) $(DEBUG)

$(PROG): $(PROG).c
	$(CC) $(CFLAGS) $< $(LIBS) -o $@

clean:
	debian/rules clean
	rm -f $(PROG)

test: $(PROG)
	-./$(PROG) -align right foo "echo foo" bar "echo bar" menuitemsuberalle "./$(PROG) x x y y z z" exit "echo exit"
	-./$(PROG) foofoofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo "echo foo" bar "echo bar"
	-./$(PROG) f ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff fa aa aa aa aa aa
	-./$(PROG) -persist -io 5 -style dreary 1 "echo 1 bar" 2 "echo 2 bar" 3 "echo 3 bar" 4 "echo 4 bar" 5 "echo 5 bar" 6 "echo 6 bar" 7 "echo 7 bar" 8 "echo 8 bar" 9 "echo 9 bar" 10 "echo 10 bar" 11 "echo 11 bar" 12 "echo 12 bar" 13 "echo 13 bar" 14 "echo 14 bar" 15 "echo 15 bar" 16 "echo 16 bar" 17 "echo 17 bar" 18 "echo 18 bar" 19 "echo 19 bar" 20 "echo 20 bar" 21 "echo 21 bar" 22 "echo 22 bar" 23 "echo 23 bar" 24 "echo 24 bar" 25 "echo 25 bar" 26 "echo 26 bar" 27 "echo 27 bar" 28 "echo 28 bar" 29 "echo 29 bar" 30 "echo 30 bar" 31 "echo 31 bar" 32 "echo 32 bar" 33 "echo 33 bar" 34 "echo 34 bar" 35 "echo 35 bar" 36 "echo 36 bar" 37 "echo 37 bar" 38 "echo 38 bar" 39 "echo 39 bar" 40 "echo 40 bar" 41 "echo 41 bar" 42 "echo 42 bar" 43 "echo 43 bar" 44 "echo 44 bar" 45 "echo 45 bar" 46 "echo 46 bar" 47 "echo 47 bar" 48 "echo 48 bar" 49 "echo 49 bar" 50 "echo 50 bar"
	-./$(PROG) -persist -io 5 -style snazzy 1 "echo 1 bar" 2 "echo 2 bar" 3 "echo 3 bar" 4 "echo 4 bar" 5 "echo 5 bar" 6 "echo 6 bar" 7 "echo 7 bar" 8 "echo 8 bar" 9 "echo 9 bar" 10 "echo 10 bar" 11 "echo 11 bar" 12 "echo 12 bar" 13 "echo 13 bar" 14 "echo 14 bar" 15 "echo 15 bar" 16 "echo 16 bar" 17 "echo 17 bar" 18 "echo 18 bar" 19 "echo 19 bar" 20 "echo 20 bar" 21 "echo 21 bar" 22 "echo 22 bar" 23 "echo 23 bar" 24 "echo 24 bar" 25 "echo 25 bar" 26 "echo 26 bar" 27 "echo 27 bar" 28 "echo 28 bar" 29 "echo 29 bar" 30 "echo 30 bar" 31 "echo 31 bar" 32 "echo 32 bar" 33 "echo 33 bar" 34 "echo 34 bar" 35 "echo 35 bar" 36 "echo 36 bar" 37 "echo 37 bar" 38 "echo 38 bar" 39 "echo 39 bar" 40 "echo 40 bar" 41 "echo 41 bar" 42 "echo 42 bar" 43 "echo 43 bar" 44 "echo 44 bar" 45 "echo 45 bar" 46 "echo 46 bar" 47 "echo 47 bar" 48 "echo 48 bar" 49 "echo 49 bar" 50 "echo 50 bar"

dist: clean
	P=$$(basename $$PWD); cd ..; tar czf $$P.tar.gz $$P

doc:
	groff -Tascii -man ratmenu.1|less

install: $(PROG)
	install -D -p -m 755 -s $(PROG) $(PREFIX)/bin/$(PROG)
	install -D -p -m 755 $(PROG).1 $(MANDIR)/man1/$(PROG).1

=== debian/changelog ===
ratmenu (2.3.14) unstable; urgency=low

  * For real this time (Closes: #377626).
  * debian/menu-method: fix lintian wrong-path-for-install-menu.
  * debian/control: reviewed upgrading-checklist, raised
    Standards-Version.  (Note that we still use -L/usr/X11R6/lib to
    simplify backports, 11.8.7 only tells us not to install anything
    there.)

 -- Mark W. Eichin <eichin@thok.org>  Mon,  5 Mar 2007 23:53:29 -0500

ratmenu (2.3.13) unstable; urgency=low

  * New maintainer.  Further updates to follow.

 -- Mark W. Eichin <eichin@thok.org>  Mon,  5 Mar 2007 21:10:30 -0500

ratmenu (2.3.12) unstable; urgency=low

  * QA Upload orphaning this package.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 16 Jul 2006 19:25:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ratmenu
 Section: x11
 Priority: optional
-Maintainer: Jonathan Walther <krooger@debian.org>
+Maintainer: Mark W. Eichin <eichin@thok.org>
 Build-Depends: libx11-dev, debhelper (>= 5)
-Standards-Version: 3.6.2.2
+Standards-Version: 3.7.2
 
 Package: ratmenu
 Suggests: ratpoison, xbindkeys, menu, xclip

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_testdir
 	-rm -f ratmenu *.o
 	-rm -f stamp-config stamp-build
-	-rm -rf debian/tmp* debian/files debian/substvars
+	-rm -rf debian/tmp* debian/ratmenu/ debian/files debian/substvars
 
 binary-indep:
 	true

## ratmenu 2.3.18

=== debian/changelog ===
ratmenu (2.3.18) unstable; urgency=low

  * debian/rules: use dh_clean (lintian diff-contains-editor-backup-file.)

 -- Mark W. Eichin <eichin@thok.org>  Sat, 04 Oct 2008 00:57:33 -0400

ratmenu (2.3.17) unstable; urgency=low

  * debian/rules, debian/compat, debian/control: debhelper V7.
  * debian/changelog: fix name, so it isn't misdetected as an NMU.
  * debian/control: move to standards version 3.8.0.

 -- Mark W. Eichin <eichin@thok.org>  Thu, 02 Oct 2008 00:04:29 -0400

ratmenu (2.3.16) unstable; urgency=low

  * ratmenu.c: long-overdue emacs-style key bindings, as requested by
    kenth@acm.org.  I took a slightly different approach that might make
    it easier to add other binding options later, but the patch was
    appreciated. (Closes: #430056).
  * ratmenu.1: corresponding documentation of the new key bindings.
  * debian/changelog: retconned the 2.3.15 entry to make lintian happy.

 -- Mark Eichin <eichin@thok.org>  Sat, 27 Sep 2008 21:51:24 -0400

ratmenu (2.3.15) unstable; urgency=low

  * debian/menu-method: fixed lintian wrong-path-for-interpreter
    (Closes: #483192).
  * removed ~ files to fix lintian diff-contains-editor-backup-file.

 -- Mark Eichin <eichin@thok.org>  Fri, 26 Sep 2008 01:37:00 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Mark W. Eichin <eichin@thok.org>
 Build-Depends: libx11-dev, debhelper (>= 5)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: ratmenu
 Suggests: ratpoison, xbindkeys, menu, xclip
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Creates X menus from the shell
  This is ratmenu, a simple program that allows you to create X menus from the
  shell.  Although designed for ratpoison, it will work with any ICCCM compliant

## ratmenu 2.3.19

=== debian/changelog ===
ratmenu (2.3.19) unstable; urgency=low

  * debian/control: version debhelper depends (lintian
    package-lacks-versioned-build-depends-on-debhelper.)

 -- Mark W. Eichin <eichin@thok.org>  Thu, 03 Dec 2009 07:27:40 +0000

## ratmenu 2.3.20

=== debian/changelog ===
ratmenu (2.3.20) unstable; urgency=low

  [Thanks to Axel Beckert for the updated patch.  Note that it requires a
    useful $LANG setting to actually work, having fonts is not sufficient.]
  * Port UTF-8 patch for ratmen
    (http://www.rubyist.net/~rubikitch/computer/ratmen/i18n.patch) to
    ratmenu. (Closes: #531036).

 -- Mark W. Eichin <eichin@thok.org>  Fri, 19 Mar 2010 03:59:56 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Mark W. Eichin <eichin@thok.org>
-Build-Depends: libx11-dev, debhelper (>= 5)
+Build-Depends: libx11-dev, debhelper (>= 7)
 Standards-Version: 3.8.0
 
 Package: ratmenu

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	-rm -f ratmenu *.o
 	-rm -f stamp-config stamp-build
 	-rm -rf debian/tmp* debian/ratmenu/ debian/files debian/substvars
+	dh_clean
 
 binary-indep:
 	true
@@ -39,6 +40,7 @@
 	dh_install
 	dh_installdeb
 	dh_compress
+	dh_link
 	dh_strip
 	dh_fixperms
 	dh_shlibdeps

## ratmenu 2.3.22

=== debian/changelog ===
ratmenu (2.3.22) unstable; urgency=medium

  * debian/compat, debian/rules, debian/control: strip down to minimal dh
    usage (ratmenu has *nothing* exciting about it, packaging-wise) and
    advance to debhelper compatibility level 9. Add buildflags for hardening.
  * Makefile: clean up PREFIX/DESTDIR/CFLAGS (hardening now works.)  Move
    tests to "humantest" since they're fundamentally interactive for now.
    Drop manpage from install rule, since dh doesn't fix that up and we
    end up with /usr/man *and* /usr/share/man.

 -- Mark W. Eichin <eichin@thok.org>  Sun, 29 Jun 2014 15:32:05 -0400

ratmenu (2.3.21) unstable; urgency=medium

  * debian/rules: add build-arch, build-indep per Standards-Version 3.9.4.0.
  * debian/control: bump Standards-Version to 3.9.5.
  * debian/source/format: 3.0 native.
  * also uploading to update signatures to a key that is still in the
    keyring, otherwise when dgit clone runs dget, it runs dscverify which fails.

 -- Mark W. Eichin <eichin@thok.org>  Sat, 28 Jun 2014 23:12:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Mark W. Eichin <eichin@thok.org>
-Build-Depends: libx11-dev, debhelper (>= 7)
-Standards-Version: 3.8.0
+Build-Depends: libx11-dev, debhelper (>= 9)
+Standards-Version: 3.9.5
 
 Package: ratmenu
 Suggests: ratpoison, xbindkeys, menu, xclip

=== debian/rules ===
#! /usr/bin/make -f
# lintian hardening
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

## ratmenu 2.3.22build1

=== Makefile ===
--- 
+++ 
@@ -5,25 +5,26 @@
 
 PROG   = ratmenu
 
-PREFIX=/usr/local
+DESTDIR=
+PREFIX=$(DESTDIR)/usr
 MANDIR=$(PREFIX)/man
 
 OPTIMIZE ?= -O2
 DEBUG    ?= 
 WARN     ?= -Wall -pedantic
 
-CC     = gcc
 LIBS   = -L/usr/X11R6/lib -lX11
-CFLAGS = $(OPTIMIZE) $(WARN) $(DEBUG)
+CFLAGS += $(OPTIMIZE) $(WARN) $(DEBUG)
 
 $(PROG): $(PROG).c
-	$(CC) $(CFLAGS) $< $(LIBS) -o $@
+	$(CC) $(CFLAGS) $(CPPFLAGS) $< $(LIBS) $(LDFLAGS) -o $@
 
 clean:
-	debian/rules clean
 	rm -f $(PROG)
 
-test: $(PROG)
+# TODO: make real tests out of these by running them under Xnest/Xephyr and
+#   feeding them keystrokes, and checking their output values...
+humantest: $(PROG)
 	-./$(PROG) -align right foo "echo foo" bar "echo bar" menuitemsuberalle "./$(PROG) x x y y z z" exit "echo exit"
 	-./$(PROG) foofoofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofofooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo "echo foo" bar "echo bar"
 	-./$(PROG) f ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff fa aa aa aa aa aa
@@ -38,4 +39,5 @@
 
 install: $(PROG)
 	install -D -p -m 755 -s $(PROG) $(PREFIX)/bin/$(PROG)
-	install -D -p -m 755 $(PROG).1 $(MANDIR)/man1/$(PROG).1
+# ends up in *both* /usr/man and /usr/share/man, just give up here
+#	install -D -p -m 755 $(PROG).1 $(MANDIR)/man1/$(PROG).1

=== debian/changelog ===
ratmenu (2.3.22build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:41:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ratmenu
 Section: x11
 Priority: optional
-Maintainer: Mark W. Eichin <eichin@thok.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mark W. Eichin <eichin@thok.org>
 Build-Depends: libx11-dev, debhelper (>= 9)
 Standards-Version: 3.9.5

## ratmenu 2.3.22+nmu1

=== debian/changelog ===
ratmenu (2.3.22+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:27:05 +0800

## ratmenu 2.3.23

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 OPTIMIZE ?= -O2
 DEBUG    ?= 
 WARN     ?= -Wall -pedantic
+INSTALL  ?= install
 
 LIBS   = -L/usr/X11R6/lib -lX11
 CFLAGS += $(OPTIMIZE) $(WARN) $(DEBUG)
@@ -38,6 +39,6 @@
 	groff -Tascii -man ratmenu.1|less
 
 install: $(PROG)
-	install -D -p -m 755 -s $(PROG) $(PREFIX)/bin/$(PROG)
+	$(INSTALL) -D -p -m 755 -s $(PROG) $(PREFIX)/bin/$(PROG)
 # ends up in *both* /usr/man and /usr/share/man, just give up here
 #	install -D -p -m 755 $(PROG).1 $(MANDIR)/man1/$(PROG).1

=== debian/changelog ===
ratmenu (2.3.23) unstable; urgency=medium

  * QA upload.
    Closes: #1116357

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #971051)

  [ Andreas Tille ]
  * Maintain package on Salsa
  * Use Tracker as Homepage
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove empty postinst
  * d/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 17 Oct 2025 07:48:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ratmenu
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mark W. Eichin <eichin@thok.org>
-Build-Depends: libx11-dev, debhelper (>= 9)
-Standards-Version: 3.9.5
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: libx11-dev, debhelper-compat (= 13)
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/ratmenu
+Vcs-Git: https://salsa.debian.org/debian/ratmenu.git
+Homepage: https://tracker.debian.org/pkg/ratmenu
 
 Package: ratmenu
 Suggests: ratpoison, xbindkeys, menu, xclip

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_install:
+	dh_auto_install -- INSTALL='install --strip-program=true'
